Package twisted :: Package spread :: Module publish

[show private | hide private]
[frames | no frames]

## Module twisted.spread.publish

Persistently cached objects for PB.

Maintainer: Glyph Lefkowitz<mailto:glyph@twistedmatrix.com>

Stability: semi-stable

Future Plans: None known.

Classes
`Publishable` | An object whose cached state persists across sessions.
`RemotePublished` | The local representation of remote Publishable object.

Function Summary
| ``whenReady`(d)` Wrap a deferred returned from a pb method in another deferred that expects a RemotePublished as a result.

Function Details

### whenReady(d)

Wrap a deferred returned from a pb method in another deferred that expects a RemotePublished as a result. This will allow you to wait until the result is really available.

Idiomatic usage would look like:

       publish.whenReady(serverObject.getMeAPublishable()).addCallback(lookAtThePublishable)

Generated by Epydoc 1.1 on Thu May 8 13:16:54 2003 | http://epydoc.sf.net